#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'extracter/toplevel_methods/is_this_a_valid_archive.rb'
# Extracter.is_this_a_valid_archive?
# =========================================================================== #
module Extracter

  require 'extracter/constants/constants.rb'

  # ========================================================================= #
  # === Extracter.is_this_a_valid_archive?
  #
  # Query whether the input given to this method is a valid archive.
  # This allows us to determine whether the Extracter project can
  # deal with the given archive at hand or whether it can not.
  #
  # The registered formats are stored in the constant
  # ARRAY_REGISTERED_ARCHIVES.
  # ========================================================================= #
  def self.is_this_a_valid_archive?(
      i, # The given input, such as "foobar.zip".
      array_registered_archives = ARRAY_REGISTERED_ARCHIVES
    )
    if i.is_a? Array
      i = i.first
    end
    return_value = false
    array_registered_archives.each {|entry|
      return_value = true if i =~ /#{entry}$/i
    }
    return return_value
  end; self.instance_eval { alias is_archive?              is_this_a_valid_archive? } # === Extracter.is_archive?
       self.instance_eval { alias is_this_a_valid_archive? is_this_a_valid_archive? } # === Extracter.is_this_a_valid_archive?

end

if __FILE__ == $PROGRAM_NAME
  pp Extracter.is_this_a_valid_archive?(ARGV)
end