# -*- encoding: utf-8 -*-
# stub: extracter 1.2.23 ruby lib

Gem::Specification.new do |s|
  s.name = "extracter".freeze
  s.version = "1.2.23"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.4.6".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2023-03-18"
  s.description = "\nThis fairly small project can be used to extract different\narchive formats such as .tar.bz2 or .tbz - archives such\nas .gem and .lzma will also work.\n\nYou can also extract audio, by making use of class ExtractAudio\n(part of the multimedia_paradise gem. The latter is - and should\nbe - optional, though. If you have no such use case then you \nwon't need to install the multimedia_paradise gem.\n\nUsage example:\n\n    require 'extracter'\n\n    Extracter.new('/foo/bla-1.0.tar.bz2')\n\nThe second argument that can be passed to the method new()\nspecifies where this should be extract to.\n\nFor example:\n\n    Extracter.new('/foo/bla-1.0.tar.bz2', '/opt')\n\nThis would extract to the /opt directory.\n\nYou can query whether input is an archive or not via:\n\n  Extracter.is_archive? 'foo.tar.xz'\n\nAs of April 2014 we also provide a bin/extract file, so that\nyou can simply extract something from the commandline.\n\nSince as of November 2018, class Extracter can also \"extract\"\n.iso files. (The .iso will be mounted to a directory that\nwill be created, actually.)\n\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.homepage = "https://rubygems.org/gems/extracter".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n  class Extracter can be used to extract archives, such as .tar.gz or\n  .zip.\n\n  If you need some help, you can invoke bin/extract via:\n\n      extract --help\n\n  In general, the syntax for extract is kept simple. Just pass in the\n  archive that has to be extracted as the first argument to \n  extract ( bin/extract) , and class Extracter will try to extract\n  it, if it is a registered archive format.\n\n  In ruby code, you may be able to use class Extracter in this manner:\n\n      require 'extracter'\n      Extracter[file_path_here]\n\n  or\n\n      require 'extracter'\n      Extracter.new(file_path_here)\n\n  Specific example:\n\n      require 'extracter'\n      Extracter.new('htop-2.2.0.tar.xz')\n\n  See the --help option.\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.6".freeze)
  s.rubygems_version = "3.4.6".freeze
  s.summary = "This fairly small project can be used to extract different archive formats such as .tar.bz2 or .tbz - archives such as .gem and .lzma will also work.  You can also extract audio, by making use of class ExtractAudio (part of the multimedia_paradise gem. The latter is - and should be - optional, though. If you have no such use case then you  won't need to install the multimedia_paradise gem.  Usage example:  require 'extracter'  Extracter.new('/foo/bla-1.0.tar.bz2')  The second argument that can be passed to the method new() specifies where this should be extract to.  For example:  Extracter.new('/foo/bla-1.0.tar.bz2', '/opt')  This would extract to the /opt directory.  You can query whether input is an archive or not via:  Extracter.is_archive? 'foo.tar.xz'  As of April 2014 we also provide a bin/extract file, so that you can simply extract something from the commandline.  Since as of November 2018, class Extracter can also \"extract\" .iso files. (The .iso will be mounted to a directory that will be created, actually.)".freeze

  s.installed_by_version = "3.4.6" if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
end
